Commit from LXDE Translation Project with Pootle by user gymka.: 52 of 52 messages...
[lxde/gpicview.git] / autogen.sh
CommitLineData
f54c74cf 1#! /bin/sh
f54c74cf 2AC_VERSION=
1d48a247 3
c5df417e 4AUTOMAKE=${AUTOMAKE:-automake}
5AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
6
7if [ "$AM_INSTALLED_VERSION" != "1.10" \
987e3848
VU
8 -a "$AM_INSTALLED_VERSION" != "1.11" \
9 -a "$AM_INSTALLED_VERSION" != "1.12" ];then
c5df417e 10 echo
11 echo "You must have automake > 1.10 or 1.11 installed to compile gpicview."
12 echo "Install the appropriate package for your distribution,"
13 echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
14 exit 1
15fi
16
f54c74cf 17set -x
1d48a247 18
f54c74cf
HJYP
19if [ "x${ACLOCAL_DIR}" != "x" ]; then
20 ACLOCAL_ARG=-I ${ACLOCAL_DIR}
1d48a247
HJYP
21fi
22
7e1dcec1 23${ACLOCAL:-aclocal$AM_VERSION} ${ACLOCAL_ARG}
c5df417e 24${AUTOHEADER:-autoheader$AC_VERSION} --force
25AUTOMAKE=$AUTOMAKE libtoolize -c --automake --force
26AUTOMAKE=$AUTOMAKE intltoolize -c --automake --force
27$AUTOMAKE --add-missing --copy --include-deps
f54c74cf 28${AUTOCONF:-autoconf$AC_VERSION}
1d48a247 29
f54c74cf 30rm -rf autom4te.cache